-- Make Deity+ and Deity++, two new difficulty levels above Deity.
INSERT INTO Types (Type, Kind) VALUES
	('DIFFICULTY_DEITY_PLUS', 'KIND_DIFFICULTY'),
	('DIFFICULTY_DEITY_PLUSPLUS', 'KIND_DIFFICULTY'),
	('TRAIT_DIFFICULTY_DEITY_PLUS', 'KIND_TRAIT'),
	('TRAIT_DIFFICULTY_DEITY_PLUSPLUS', 'KIND_TRAIT');

INSERT INTO Difficulties (DifficultyType, Name) VALUES
	('DIFFICULTY_DEITY_PLUS', 'LOC_DIFFICULTY_DEITY_PLUS_NAME'),
	('DIFFICULTY_DEITY_PLUSPLUS', 'LOC_DIFFICULTY_DEITY_PLUSPLUS_NAME');

INSERT INTO Traits (TraitType, Name, Description) VALUES
	('TRAIT_DIFFICULTY_DEITY_PLUS', 'LOC_TRAIT_DIFFICULTY_DEITY_PLUS_NAME', 'LOC_PLACEHOLDER'),
	('TRAIT_DIFFICULTY_DEITY_PLUSPLUS', 'LOC_TRAIT_DIFFICULTY_DEITY_PLUSPLUS_NAME', 'LOC_PLACEHOLDER');

INSERT INTO DifficultyTraits (DifficultyType, TraitType) VALUES
	('DIFFICULTY_DEITY_PLUS', 'TRAIT_DIFFICULTY_DEITY_PLUS'),
	('DIFFICULTY_DEITY_PLUSPLUS', 'TRAIT_DIFFICULTY_DEITY_PLUSPLUS');



-- Remove the city state production penalty (default -50%). At higher difficulties city states will still have
-- much lower production than AI civs, and this change makes them harder to conquer for the human player.
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='MINOR_CIV_PRODUCTION_PENALTY' AND NAME='Amount';



-- Make new modifer requirements that may be used in the other rulesets.
INSERT INTO Requirements (RequirementId, RequirementType) VALUES
	('REQUIRES_DEITY', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE');

INSERT INTO RequirementArguments (RequirementId, Name, Value) VALUES
	('REQUIRES_DEITY', 'Handicap', 'DIFFICULTY_DEITY');

INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
	('PLAYER_IS_HUMAN_ABOVE_DEITY', 'REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
	('PLAYER_IS_HUMAN_ABOVE_DEITY', 'REQUIRES_PLAYER_IS_HUMAN'),
	('PLAYER_IS_HUMAN_ABOVE_DEITY', 'REQUIRES_DEITY');



-- Make new modifers that may be used in the other rulesets. The values will be changed there.
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
	('TRAIT_LEADER_MAJOR_CIV', 'TRAIT_NERF_HUMAN_SCIENCE'),
	('TRAIT_LEADER_MAJOR_CIV', 'TRAIT_NERF_HUMAN_CULTURE'),
	('TRAIT_LEADER_MAJOR_CIV', 'TRAIT_NERF_HUMAN_PRODUCTION'),
	('TRAIT_LEADER_MAJOR_CIV', 'TRAIT_NERF_HUMAN_GOLD');

INSERT INTO Modifiers (ModifierId, ModifierType, RunOnce, Permanent, SubjectRequirementSetId) VALUES
	('TRAIT_NERF_HUMAN_SCIENCE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, 'PLAYER_IS_HUMAN_ABOVE_DEITY'),
	('TRAIT_NERF_HUMAN_CULTURE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, 'PLAYER_IS_HUMAN_ABOVE_DEITY'),
	('TRAIT_NERF_HUMAN_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, 'PLAYER_IS_HUMAN_ABOVE_DEITY'),
	('TRAIT_NERF_HUMAN_GOLD', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, 'PLAYER_IS_HUMAN_ABOVE_DEITY');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra, SecondExtra) VALUES
	('TRAIT_NERF_HUMAN_SCIENCE', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_SCIENCE', '', 'DIFFICULTY_DEITY'),
	('TRAIT_NERF_HUMAN_SCIENCE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0, 'DIFFICULTY_DEITY'),
	('TRAIT_NERF_HUMAN_CULTURE', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_CULTURE', '', 'DIFFICULTY_DEITY'),
	('TRAIT_NERF_HUMAN_CULTURE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0, 'DIFFICULTY_DEITY'),
	('TRAIT_NERF_HUMAN_PRODUCTION', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_PRODUCTION', '', 'DIFFICULTY_DEITY'),
	('TRAIT_NERF_HUMAN_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0, 'DIFFICULTY_DEITY'),
	('TRAIT_NERF_HUMAN_GOLD', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_GOLD', '', 'DIFFICULTY_DEITY'),
	('TRAIT_NERF_HUMAN_GOLD', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0, 'DIFFICULTY_DEITY');